VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "ExtractionOptions"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
' ================ Параметры извлечения и загрузки данных =========================
' Shared module version: 20220614
' Tested in:
' Depends on: ParserDeclarations
' Required reference:
Option Explicit

Public detector_ As TDetector
Public param_ As String
Public transform_ As String
Public loadCategory_ As Long

Private Sub Class_Initialize()
  detector_ = T_DETECTOR_UNKNOWN
  loadCategory_ = 0
End Sub

Public Function FromFlatData(iData As Variant)
  detector_ = CLng(iData(1))
  param_ = iData(2)
  transform_ = iData(3)
  loadCategory_ = CLng(iData(4))
End Function

Public Function AsFlatData() As String()
  Dim iData() As String
  ReDim iData(1 To 4)

  iData(1) = detector_
  iData(2) = param_
  iData(3) = transform_
  iData(4) = loadCategory_
  
  AsFlatData = iData
End Function
